Subject: [codesprints] Q about yang validation errors on submission.

From: Christian Hopps <[email-masked]>
Date: Wed, 23 Oct 2019 12:39:14 -0400

Hi,

I had an issue a while back with invalid YANG on submission of draft b/c of trying to import ietf-isis. This ietf-isis YANG module draft isn't an RFC yet which is maybe what was causing the issue? Is this the correct mailing list to report that or is there a better place? I've included the failure below in case this is the correct place.

Thanks,
Chris.

> Locally my pyang validation passes as it has access to ietf-isis yang module; however, when I tried to submit I got:
> 
> draft-hopps-lsr-yang-isis-reverse-metric-01.txt:
> xym 0.4:
> Extracting [email-masked]'
>   Removed 0 empty lines
> 
> 
> [email-masked]:
> pyang 2.0.2: pyang --verbose --ietf -p {libs} {model}:
> # read /tmp/tmpP8Qtbl/[email-masked] (CL)
> # read /a/www/ietf-datatracker/6.102.0/env/share/yang/modules/ietf/ietf-routing.yang
> # read /a/www/ietf-ftp/yang/rfcmod/[email-masked]
> # read /a/www/ietf-datatracker/6.102.0/env/share/yang/modules/ietf/ietf-yang-types.yang
> # read /a/www/ietf-ftp/yang/draftmod/[email-masked]
> # read /a/www/ietf-datatracker/6.102.0/env/share/yang/modules/ietf/ietf-interfaces.yang
> # read /a/www/ietf-ftp/yang/rfcmod/[email-masked]
> /tmp/tmpP8Qtbl/[email-masked]:6: error: module "ietf-isis" not found in search path
> 
> yanglint 0.14.80: yanglint --verbose -p {rfclib} -p {draftlib} -p {tmplib} {model} -i:
> err : Data model "ietf-isis" not found.
> err : Importing "ietf-isis" module into "ietf-isis-reverse-metric" failed.
> err : Module "ietf-isis-reverse-metric" parsing failed.
> 
> 
> Am I doing something wrong or is the submission validator broken?